## org.apache.lucene.codecs
Class FieldInfosReader

    java.lang.Object
      org.apache.lucene.codecs.FieldInfosReader

    public abstract class FieldInfosReader

extends Object

Codec API for reading `FieldInfos`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`protected` `FieldInfosReader()` Sole constructor.

Method Summary
`abstract FieldInfos` `read(Directory directory, String segmentName, IOContext iocontext)` Read the `FieldInfos` previously written with `FieldInfosWriter`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldInfosReader

    protected FieldInfosReader()

  Sole constructor. (For invocation by subclass constructors, typically implicit.)

Method Detail

### read

    public abstract FieldInfos read(Directory directory,
                                    String segmentName,
                                    IOContext iocontext)
                             throws IOException

  Read the `FieldInfos` previously written with `FieldInfosWriter`.

  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.